Seedling
GET/api/v1/seedling/daily/{generator_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/daily/string"{ "date": "string", "generator_id": "string", "seed": "string", "version": 0}POST/api/v1/seedling/generate
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/generate" \ -H "Content-Type: application/json" \ -d '{ "generator_id": "string", "seed": "string" }'{ "cached": true, "content_hash": "string", "generator_id": "string", "output": null, "permalink": "string", "png_url": "string", "seed": "string", "version": 0}POST/api/v1/seedling/generate/batch
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/generate/batch" \ -H "Content-Type: application/json" \ -d '{ "generator_id": "string" }'{ "count": 0, "results": [ { "cached": true, "content_hash": "string", "generator_id": "string", "output": null, "permalink": "string", "png_url": "string", "seed": "string", "version": 0 } ]}GET/api/v1/seedling/generators
Authorization
bearer_token In: header
Query Parameters
Full-text search query applied to generator name
1-indexed page number
int640 <= valuePage size
int640 <= valueSort field
Sort order (asc or desc)
Value in
- "asc"
- "desc"
Additional filter expressions in the form field:operator:value
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/generators"{ "generators": [ { "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "determinism_contract": "string", "generator_type": "name", "id": "string", "name": "string", "params_schema": null, "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ], "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }}POST/api/v1/seedling/generators
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/generators" \ -H "Content-Type: application/json" \ -d '{ "generator_type": "name", "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "determinism_contract": "string", "generator_type": "name", "id": "string", "name": "string", "params_schema": null, "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "version": 0}GET/api/v1/seedling/generators/{generator_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/generators/string"{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "determinism_contract": "string", "generator_type": "name", "id": "string", "name": "string", "params_schema": null, "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "version": 0}POST/api/v1/seedling/generators/{generator_id}/publish
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/generators/string/publish" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "determinism_contract": "string", "generator_type": "name", "id": "string", "name": "string", "params_schema": null, "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "version": 0}GET/api/v1/seedling/generators/{generator_id}/versions/{version}
Authorization
bearer_token In: header
Path Parameters
int320 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/seedling/generators/string/versions/0"{ "determinism_contract": "string", "generator_id": "string", "generator_type": "name", "grammar": null, "params_schema": null, "published_at": "2019-08-24T14:15:22Z", "published_by": "string", "version": 0}GET/api/v1/seedling/generators/{generator_id}/v{version}/{seed}
Authorization
bearer_token In: header
Path Parameters
int320 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/seedling/generators/string/v0/string"{ "cached": true, "content_hash": "string", "generator_id": "string", "output": null, "permalink": "string", "png_url": "string", "seed": "string", "version": 0}GET/api/v1/seedling/seeds
Authorization
bearer_token In: header
Query Parameters
Full-text search query applied to seed name
1-indexed page number
int640 <= valuePage size
int640 <= valueOnly return featured seeds
Additional filter expressions in the form field:operator:value
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/seeds"{ "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }, "seeds": [ { "created_at": "2019-08-24T14:15:22Z", "featured": true, "generator_id": "string", "id": "string", "name": "string", "published_by": "string", "seed": "string", "tags": [ "string" ], "version": 0 } ]}POST/api/v1/seedling/seeds
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/seeds" \ -H "Content-Type: application/json" \ -d '{ "generator_id": "string", "name": "string", "seed": "string", "version": 0 }'{ "created_at": "2019-08-24T14:15:22Z", "featured": true, "generator_id": "string", "id": "string", "name": "string", "published_by": "string", "seed": "string", "tags": [ "string" ], "version": 0}POST/api/v1/seedling/seeds/{seed_id}/feature
Authorization
bearer_token In: header
Path Parameters
Named seed id
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/seeds/string/feature"{ "created_at": "2019-08-24T14:15:22Z", "featured": true, "generator_id": "string", "id": "string", "name": "string", "published_by": "string", "seed": "string", "tags": [ "string" ], "version": 0}POST/api/v1/seedling/verify-determinism
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/verify-determinism" \ -H "Content-Type: application/json" \ -d '{ "generator_id": "string", "seed": "string", "version": 0 }'{ "deterministic": true, "generator_id": "string", "seed": "string", "version": 0}GET/api/v1/seedling/{domain}/artifacts/{artifact_id}/derived
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Maximum derivation depth to traverse
int320 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/seedling/string/artifacts/string/derived"{ "artifacts": [ { "chain_length": 0, "created_at": "2019-08-24T14:15:22Z", "current_owner": { "id": "string", "kind": "string" }, "domain": "string", "external_ref": null, "head_hash": "string", "head_record_id": "string", "id": "string", "serial": 0, "serial_display": "string", "series_id": "string", "status": "active" } ], "count": 0}GET/api/v1/seedling/{domain}/artifacts/{artifact_id}/history
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Verification mode: chain re-verifies the hash chain, genesis also re-runs the seed triple
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/string/artifacts/string/history"{ "artifact": { "chain_length": 0, "created_at": "2019-08-24T14:15:22Z", "current_owner": { "id": "string", "kind": "string" }, "domain": "string", "external_ref": null, "head_hash": "string", "head_record_id": "string", "id": "string", "serial": 0, "serial_display": "string", "series_id": "string", "status": "active" }, "chain_valid": true, "first_broken_sequence": 0, "genesis_verified": true, "records": [ { "actor": { "id": "string", "kind": "string" }, "artifact_id": "string", "citation": null, "from_owner": null, "hash": "string", "id": "string", "inputs": [ "string" ], "kind": "genesis", "payload": null, "prev_hash": "string", "recorded_at": "2019-08-24T14:15:22Z", "reference": null, "sequence": 0, "to_owner": null } ]}POST/api/v1/seedling/{domain}/artifacts/{artifact_id}/records
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/string/artifacts/string/records" \ -H "Content-Type: application/json" \ -d '{ "kind": "genesis" }'{ "actor": { "id": "string", "kind": "string" }, "artifact_id": "string", "citation": null, "from_owner": null, "hash": "string", "id": "string", "inputs": [ "string" ], "kind": "genesis", "payload": null, "prev_hash": "string", "recorded_at": "2019-08-24T14:15:22Z", "reference": null, "sequence": 0, "to_owner": null}GET/api/v1/seedling/{domain}/owners/{principal}/artifacts
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Return everything ever held instead of only current holdings
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/string/owners/string/artifacts"{ "artifacts": [ { "chain_length": 0, "created_at": "2019-08-24T14:15:22Z", "current_owner": { "id": "string", "kind": "string" }, "domain": "string", "external_ref": null, "head_hash": "string", "head_record_id": "string", "id": "string", "serial": 0, "serial_display": "string", "series_id": "string", "status": "active" } ], "count": 0}POST/api/v1/seedling/{domain}/series
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/string/series" \ -H "Content-Type: application/json" \ -d '{ "max_supply": 0, "name": "string" }'{ "allowed_minters": "admin_only", "circulating": 0, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "domain": "string", "genesis_generator": null, "id": "string", "max_supply": 0, "metadata": null, "minted": 0, "name": "string", "per_user_limit": 0, "retired": 0, "serial_assignment": "sequential", "window": { "closes_at": "2019-08-24T14:15:22Z", "opens_at": "2019-08-24T14:15:22Z" }}GET/api/v1/seedling/{domain}/series/{series_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/seedling/string/series/string"{ "allowed_minters": "admin_only", "circulating": 0, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "domain": "string", "genesis_generator": null, "id": "string", "max_supply": 0, "metadata": null, "minted": 0, "name": "string", "per_user_limit": 0, "retired": 0, "serial_assignment": "sequential", "window": { "closes_at": "2019-08-24T14:15:22Z", "opens_at": "2019-08-24T14:15:22Z" }}POST/api/v1/seedling/{domain}/series/{series_id}/mint
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/string/series/string/mint" \ -H "Content-Type: application/json" \ -d '{ "idempotency_key": "string" }'{ "artifact": { "chain_length": 0, "created_at": "2019-08-24T14:15:22Z", "current_owner": { "id": "string", "kind": "string" }, "domain": "string", "external_ref": null, "head_hash": "string", "head_record_id": "string", "id": "string", "serial": 0, "serial_display": "string", "series_id": "string", "status": "active" }, "genesis_record": { "actor": { "id": "string", "kind": "string" }, "artifact_id": "string", "citation": null, "from_owner": null, "hash": "string", "id": "string", "inputs": [ "string" ], "kind": "genesis", "payload": null, "prev_hash": "string", "recorded_at": "2019-08-24T14:15:22Z", "reference": null, "sequence": 0, "to_owner": null }, "replayed": true}POST/api/v1/seedling/{domain}/track
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/seedling/string/track" \ -H "Content-Type: application/json" \ -d '{ "external_ref": { "id": "string", "service": "string" } }'{ "artifact": { "chain_length": 0, "created_at": "2019-08-24T14:15:22Z", "current_owner": { "id": "string", "kind": "string" }, "domain": "string", "external_ref": null, "head_hash": "string", "head_record_id": "string", "id": "string", "serial": 0, "serial_display": "string", "series_id": "string", "status": "active" }, "genesis_record": { "actor": { "id": "string", "kind": "string" }, "artifact_id": "string", "citation": null, "from_owner": null, "hash": "string", "id": "string", "inputs": [ "string" ], "kind": "genesis", "payload": null, "prev_hash": "string", "recorded_at": "2019-08-24T14:15:22Z", "reference": null, "sequence": 0, "to_owner": null }, "replayed": true}